---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem06t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3EA0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x516C0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53600, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x539F0, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54990, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x549A0, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51310, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51314, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51318, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51470, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51528, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5152C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51530, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51534, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51538, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51540, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51550, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51558, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51560, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51568, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51570, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51578, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x515C0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL19classloadEventCount, symObjAddr: 0x515C8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL22classprepareEventCount, symObjAddr: 0x515CC, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL16classLoaderCount, symObjAddr: 0x515D0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x515D8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x515E0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9568, offset: 0x9568, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x51620, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x95BA, offset: 0x95BA, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2A60, symSize: 0x80 }
  - { offsetInCU: 0x964F, offset: 0x964F, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x29B0, symSize: 0xB0 }
  - { offsetInCU: 0x96AA, offset: 0x96AA, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x28B0, symSize: 0x100 }
  - { offsetInCU: 0x993D, offset: 0x993D, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2AE0, symSize: 0xC0 }
  - { offsetInCU: 0x998F, offset: 0x998F, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2BA0, symSize: 0x220 }
  - { offsetInCU: 0x9B74, offset: 0x9B74, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2DC0, symSize: 0xA0 }
  - { offsetInCU: 0x9C27, offset: 0x9C27, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2E60, symSize: 0x110 }
  - { offsetInCU: 0x9D1D, offset: 0x9D1D, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2F70, symSize: 0x150 }
  - { offsetInCU: 0x9E9A, offset: 0x9E9A, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x30C0, symSize: 0x30 }
  - { offsetInCU: 0x9F5B, offset: 0x9F5B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x30F0, symSize: 0x150 }
  - { offsetInCU: 0xA153, offset: 0xA153, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3240, symSize: 0x160 }
  - { offsetInCU: 0xA413, offset: 0xA413, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x33A0, symSize: 0x4A0 }
  - { offsetInCU: 0xA6AC, offset: 0xA6AC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x3840, symSize: 0xE0 }
  - { offsetInCU: 0xA76C, offset: 0xA76C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3920, symSize: 0x1B0 }
  - { offsetInCU: 0xA987, offset: 0xA987, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3AD0, symSize: 0xA0 }
  - { offsetInCU: 0xAA56, offset: 0xAA56, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3B70, symSize: 0x20 }
  - { offsetInCU: 0xAA8D, offset: 0xAA8D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3B90, symSize: 0x20 }
  - { offsetInCU: 0xAAC4, offset: 0xAAC4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3BB0, symSize: 0x20 }
  - { offsetInCU: 0xAC33, offset: 0xAC33, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3BD0, symSize: 0x1A0 }
  - { offsetInCU: 0xAF4F, offset: 0xAF4F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3D70, symSize: 0x130 }
  - { offsetInCU: 0xB0FF, offset: 0xB0FF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4110, symSize: 0x1B0 }
  - { offsetInCU: 0xB3EE, offset: 0xB3EE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x42C0, symSize: 0x80 }
  - { offsetInCU: 0xB4B7, offset: 0xB4B7, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4340, symSize: 0x6A0 }
  - { offsetInCU: 0xC04C, offset: 0xC04C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA820, symBinAddr: 0x5CF0, symSize: 0xB0 }
  - { offsetInCU: 0xC0C3, offset: 0xC0C3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x49E0, symSize: 0x70 }
  - { offsetInCU: 0xC15F, offset: 0xC15F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4A50, symSize: 0xA0 }
  - { offsetInCU: 0xC26A, offset: 0xC26A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4AF0, symSize: 0x40 }
  - { offsetInCU: 0xC360, offset: 0xC360, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4B30, symSize: 0x2B0 }
  - { offsetInCU: 0xC706, offset: 0xC706, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4DE0, symSize: 0xC0 }
  - { offsetInCU: 0xC84C, offset: 0xC84C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4EA0, symSize: 0x10 }
  - { offsetInCU: 0xC90E, offset: 0xC90E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4EB0, symSize: 0x220 }
  - { offsetInCU: 0xCC0B, offset: 0xCC0B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x50D0, symSize: 0x10 }
  - { offsetInCU: 0xCC68, offset: 0xCC68, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x50E0, symSize: 0x190 }
  - { offsetInCU: 0xCE20, offset: 0xCE20, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DA0, symBinAddr: 0x5270, symSize: 0x10 }
  - { offsetInCU: 0xCE9D, offset: 0xCE9D, size: 0x8, addend: 0x0, symName: _handler, symObjAddr: 0x9DB0, symBinAddr: 0x5280, symSize: 0x490 }
  - { offsetInCU: 0xD274, offset: 0xD274, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0xA240, symBinAddr: 0x5710, symSize: 0xB0 }
  - { offsetInCU: 0xD2EB, offset: 0xD2EB, size: 0x8, addend: 0x0, symName: _cbClassLoad, symObjAddr: 0xA2F0, symBinAddr: 0x57C0, symSize: 0x20 }
  - { offsetInCU: 0xD360, offset: 0xD360, size: 0x8, addend: 0x0, symName: _cbClassPrepare, symObjAddr: 0xA310, symBinAddr: 0x57E0, symSize: 0x20 }
  - { offsetInCU: 0xD3D5, offset: 0xD3D5, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA330, symBinAddr: 0x5800, symSize: 0xB0 }
  - { offsetInCU: 0xD496, offset: 0xD496, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA3E0, symBinAddr: 0x58B0, symSize: 0x440 }
  - { offsetInCU: 0xDA8F, offset: 0xDA8F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA8D0, symBinAddr: 0x5DA0, symSize: 0x36A }
...
